;-----------------------------------------------------
;procedura zarzadzajca tworzeniem/wstawianiem obiektu
(defun runn#w ( czyedycja#w / zwrot#w ktora#w rekord#w
	         rozm#w  d2#w d1#w a#w b#w c#w l#w wylocik#w
	         czyuszczelka#w centr#w blok#w nazwa#w 
                  nazwadoz#w ppzwrot#w pX#w tblist#w tdata#w samepunkty#w blokOpisUwagi#w p#w listaPX#w
 		  i#w p#w pp#w ppp#w ppp1#w pppp#w przekrSpec#w) 

		;lokalna konfiguruje opis tu i w master00#w
		(defun blokOpisUwagi#w ( rekord#w akcesoria#w / blok#w nazwadoz#w)

		;uwzgldnienie dugoci L
		(setq pp#w (cadr (assoc "WentyleSpiroFLX-PRO-PL-3_L" akcesoria#w)))
			(cond ((member pp#w '("0"))  (setq ppp#w ""))
		        );cond
		(setq     blok#w  (strcat "FLX-PRO-PL-" ppp#w (car rekord#w) "-3") 
		      nazwadoz#w  (strcat "FLX-PRO-PL-" ppp#w (car rekord#w) "-3"))

		   (setq   blok#w     (substr blok#w 1 28))
		   ;;;(WykonDoNazwy#w)                    ;<<<<<< dodane

	             ;blok   nazwa       tytul   uwagi         producent
		(list blok#w nazwadoz#w "Skrzynka rozprna" ""  "SPIRO Alnor")
		);defun


(wl_err1#w)
;pobiera dane o elemencie
(setq zwrot#w
(master00#w "WentyleSpiro" "Skrzynka rozprna " "WentyleSpiroFLX-PRO-PL-3"  "FLX-PRO-PL-3" "SPIRO Alnor" "  "   "   " 
            "Okno_plus_ws" czyedycja#w  "" nil "0"

           "WentyleSpiro3(FLX-PRO-PL-3)" "WentyleSpiro3(FLX-PRO-PL-3_11)" "WentyleSpiro3(FLX-PRO-PL-3_12)" nil nil
                                         "WentyleSpiro3(FLX-PRO-PL-3_21)" nil nil nil
             (list (list "Wymiar L[mm]:" "WentyleSpiroFLX-PRO-PL-3_L")) ;listaPlikowDanychWyposaenia
	     nil ;listaWlasnychGabarytw z opisami
));master00#w/setq
(wyl_err1#w)



(if zwrot#w  
(progn 

(wl_err1#w)

;przygotowanie danych dla rysunku bloku i do stworzenia bloku
(setq   rekord#w (nth 5 zwrot#w)
            d1#w (atof (nth 0 rekord#w))
	    d2#w (atof (nth 1 rekord#w))
	    a#w  (atof (nth 2 rekord#w))
	    b#w  (atof (nth 3 rekord#w))
	    c#w  (atof (nth 4 rekord#w))
            wylocik#w  30.0
	
  czyuszczelka#w (nth 15 zwrot#w)
         centr#w (nth 14 zwrot#w) 
         nazwa#w (strcat (car (nth 12 zwrot#w)) (nth 13 zwrot#w))
         ktora#w (nth 6 zwrot#w)
     akcesoria#w (nth 16 zwrot#w))

 
   (setq p#w        (blokOpisUwagi#w rekord#w akcesoria#w)
         blok#w     (car p#w)
         nazwadoz#w (cadr p#w))

   (setq blok#w (strcase (strcat blok#w "_" ktora#w)))



   ;uwzgldnienie dugoci L
   (setq pp#w (cadr (assoc "WentyleSpiroFLX-PRO-PL-3_L" akcesoria#w)))
	 (cond ((member pp#w '("0"))  (setq l#w 60.0))
	       ((member pp#w '("1"))  (setq l#w 320.0))
	 );cond


(setq tblist#w '())
(while (setq tdata#w (tblnext "BLOCK" (not tdata#w)))
(setq tblist#w (append tblist#w (list (cdr (assoc 2 tdata#w))))))

;jesli nie samepunkty - narysowanie bloku, else - zwraca wsprzdne samych punktw
(if (not (member blok#w tblist#w)) 
	    (setq samepunkty#w nil)
	    ;else
	    (setq samepunkty#w T ))

;tworzy rysunek bloku lub same wsprzdne punktw styku
(cond
((= ktora#w "11")(setq ppzwrot#w (rys11#w samepunkty#w d1#w d2#w a#w b#w c#w l#w wylocik#w centr#w czyuszczelka#w nazwa#w)))
((= ktora#w "12")(setq ppzwrot#w (rys12#w samepunkty#w d1#w d2#w a#w b#w c#w l#w wylocik#w centr#w czyuszczelka#w nazwa#w)))
((= ktora#w "21")(setq ppzwrot#w (rys21#w samepunkty#w d1#w d2#w a#w b#w c#w l#w wylocik#w centr#w czyuszczelka#w nazwa#w)))

);cond

;dodanie pola przekroju do kadego punktu z ppzwrot#w
(setq pp#w '())
(foreach i#w (cddr ppzwrot#w)
(cond
((equal (list (car i#w) (cadr i#w)) '("P1" "d2mm"))
        (setq p#w  (/ (/ (* pi (* d2#w d2#w)) 4) 1000000.0)     ;[m2]
	      p#w  (rtos p#w 2 6)
	      pp#w (append pp#w (list (append i#w (list p#w))))) )
((equal (list (car i#w) (cadr i#w)) '("P2" "d1mm"))
        (setq p#w  (/ (/ (* pi (* d1#w d1#w)) 4) 1000000.0)     ;[m2]
	      p#w  (rtos p#w 2 6)
	      pp#w (append pp#w (list (append i#w (list p#w))))) )
((equal (list (car i#w) (cadr i#w)) '("P3" "d1mm"))
        (setq p#w  (/ (/ (* pi (* d1#w d1#w)) 4) 1000000.0)     ;[m2]
	      p#w  (rtos p#w 2 6)
	      pp#w (append pp#w (list (append i#w (list p#w))))) )
((equal (list (car i#w) (cadr i#w)) '("P4" "d1mm"))
        (setq p#w  (/ (/ (* pi (* d1#w d1#w)) 4) 1000000.0)     ;[m2]
	      p#w  (rtos p#w 2 6)
	      pp#w (append pp#w (list (append i#w (list p#w))))) )
));cond/foreach i#w
(if (and pp#w (= (length pp#w) (- (length ppzwrot#w) 2)))
    (setq ppzwrot#w (list (car ppzwrot#w) (cadr ppzwrot#w))
          ppzwrot#w (append ppzwrot#w  pp#w)))


;jesli nie samepunkty - tworzy blok
(blokuje00#w samepunkty#w blok#w ppzwrot#w zwrot#w)

(wyl_err1#w)

(if czyedycja#w (progn
		;odczytuje punkty PX dopisdopisane ew.wczeniej do edytowanego
		(setq listaPX#w (doprzeniesieniaPX#w (car czyedycja#w)))
		;wstawia blok
		(insert01#w nazwadoz#w blok#w ppzwrot#w zwrot#w rekord#w 
		           (cadr czyedycja#w) (caddr czyedycja#w) czyedycja#w przekrSpec#w)
		;dopisuje wczeniej odczytane PX
		(if listaPX#w (zprzeniesienia#w (entlast) listaPX#w))
		);progn
	;else
	(progn

	;wstawia blok
	(insert00#w nazwadoz#w blok#w ppzwrot#w zwrot#w rekord#w przekrSpec#w)

	;ustawia zmienne globalne
	(globset00#w zwrot#w)

		;export do pliku danych wsplnych nakadki
		(dotxt#w "Wentyle")

		;export do pliku danych tego systemu zczek
		(dotxt00#w "WentyleSpiro")

	;rysuje odnonik
	(cond ((= strzal#w "1") (odno_strzalka#w))
	      ( T               (odno_linia#w))  )

	));progn/if not czyedycja

));progn/if
		
(princ)
);defun







;procedura porednia rysunkowa
(defun rys11#w (samepunkty#w  d1#w d2#w a#w b#w c#w l#w wylocik#w centr#w czyuszczelka#w nazwa#w / pX#w p00#w) 
;jeli z rysowaniem elementw bloku
(if (not samepunkty#w)
    (progn
    (setq pX#w (rysuje11#w samepunkty#w d1#w d2#w a#w b#w c#w l#w wylocik#w centr#w czyuszczelka#w nazwa#w))
    ));progn/if

;dodaje punkty styku lub jeli tylko punkty styku, bez rysowania
(setq ppzwrot#w 
(list pX#w  	       	                   ;punkt wstawienia bloku, nil jeli tylko punkty bez rysunku
  (list "P0" "jest" (list 0 0)       "") ;punkt przecicia osi jeli jest, jeli brak to  "P0" "brak" '(0 0)
  (list "P1" "d2mm" (list 0 0)       "") ;dalej punkty styku poprzedzone symbolem punktu i symbolem wymiaru 
  (list "P2" "d1mm" (list (+ l#w c#w wylocik#w) (+ 30.0 d1#w)) "")
  (list "P3" "d1mm" (list (+ l#w c#w wylocik#w) 0.0) "")
  (list "P4" "d1mm" (list (+ l#w c#w wylocik#w) (- (+ 30.0 d1#w))) "")
));list/setq

ppzwrot#w
);defun






;procedura porednia rysunkowa
(defun rys12#w (samepunkty#w  d1#w d2#w a#w b#w c#w l#w wylocik#w centr#w czyuszczelka#w nazwa#w / pX#w p00#w) 
;jeli z rysowaniem elementw bloku
(if (not samepunkty#w)
    (progn
    (setq pX#w (rysuje12#w samepunkty#w d1#w d2#w a#w b#w c#w l#w wylocik#w centr#w czyuszczelka#w nazwa#w))
    ));progn/if

;dodaje punkty styku lub jeli tylko punkty styku, bez rysowania
(setq ppzwrot#w 
(list pX#w  	       	                   ;punkt wstawienia bloku, nil jeli tylko punkty bez rysunku
  (list "P0" "jest" (list 0 0)       "") ;punkt przecicia osi jeli jest, jeli brak to  "P0" "brak" '(0 0)
  (list "P1" "d2mm" (list 0 0)       "") ;dalej punkty styku poprzedzone symbolem punktu i symbolem wymiaru 
  (list "P2" "d1mm" (list 0 (+ 30.0 d1#w)) "")
  (list "P3" "d1mm" (list 0 (- (+ 30.0 d1#w))) "")
));list/setq

ppzwrot#w
);defun






;procedura porednia rysunkowa
(defun rys21#w (samepunkty#w  d1#w d2#w a#w b#w c#w l#w wylocik#w centr#w czyuszczelka#w nazwa#w / pX#w p00#w) 
;jeli z rysowaniem elementw bloku
(if (not samepunkty#w)
    (progn
    (setq pX#w (rysuje21#w samepunkty#w d1#w d2#w a#w b#w c#w l#w wylocik#w centr#w czyuszczelka#w nazwa#w))
    ));progn/if

;dodaje punkty styku lub jeli tylko punkty styku, bez rysowania
(setq ppzwrot#w 
(list pX#w  	       	                   ;punkt wstawienia bloku, nil jeli tylko punkty bez rysunku
  (list "P0" "jest" (list 0 0)       "") ;punkt przecicia osi jeli jest, jeli brak to  "P0" "brak" '(0 0)
  (list "P1" "d2mm" (list 0 0)       "") ;dalej punkty styku poprzedzone symbolem punktu i symbolem wymiaru 
  (list "P2" "d1mm" (list (+ l#w c#w wylocik#w) 0) "")

));list/setq

ppzwrot#w
);defun





;procedura rysunkowa
(defun rysuje11#w (samepunkty#w d1 d2 a b c l wylocik centr czyuszczelka nazwa1 
                    / pr wskaztu layer szerkol rm  pA pB p0 p1 p2 pX pY pZ styld cc )

;jeli z rysowaniem elementw bloku
(if (not samepunkty#w)
(progn
    ;wskazB - zbir wskaza zmienna globalna
    (setq  wskazB   nil  wskazB   (ssadd)                          
           layer    (getvar "CLAYER"))    

    (setvar "CLAYER" "0")

   (command "_UCS" "_w")(command "_UCS" "_o" centr)
    (setq pX  (trans '(0 0) 1 0)
	  szerkol (* 0.07 d1)
    );setq

    (command "_PLINE" (list l (- (* 0.5 d2))) (list 0 (- (* 0.5 d2)))
                      (list 0 (* 0.5 d2)) (list l (* 0.5 d2)) "")
  		      (ssadd (entlast) wskazB)

    (command "_LINE" (list 0 0) (list (+ 10.0 l) 0) "")
    (setq pr (entget (entlast)))(setq pr (subst (cons 8 layer_osie#w)(assoc 8 pr) pr))(entmod pr)
                                                               (ssadd (entlast) wskazB)

    (command "_PLINE" (list l (- (* 0.5 b))) (list (+ l c) (- (* 0.5 b)))
                      (list (+ l c) (* 0.5 b)) (list l (* 0.5 b)) "_c")
  		      (ssadd (entlast) wskazB)

    (command "_UCS" "_o" (list (+ wylocik c l) (+ 30.0 d1)))
    (command "_PLINE" (list (- wylocik) (- (* 0.5 d1))) (list 0 (- (* 0.5 d1)))
                      (list 0 (* 0.5 d1)) (list (- wylocik) (* 0.5 d1)) "")
  		      (ssadd (entlast) wskazB)
    (command "_LINE" (list 0 0) (list -20.0 0) "")
    (setq pr (entget (entlast)))(setq pr (subst (cons 8 layer_osie#w)(assoc 8 pr) pr))(entmod pr)
                                                               (ssadd (entlast) wskazB)
    (command "_UCS" "_p")

    (command "_UCS" "_o" (list (+ wylocik c l) 0.0))
    (command "_PLINE" (list (- wylocik) (- (* 0.5 d1))) (list 0 (- (* 0.5 d1)))
                      (list 0 (* 0.5 d1)) (list (- wylocik) (* 0.5 d1)) "")
  		      (ssadd (entlast) wskazB)
    (command "_LINE" (list 0 0) (list -20.0 0) "")
    (setq pr (entget (entlast)))(setq pr (subst (cons 8 layer_osie#w)(assoc 8 pr) pr))(entmod pr)
                                                               (ssadd (entlast) wskazB)
    (command "_UCS" "_p")

    (command "_UCS" "_o" (list (+ wylocik c l) (- (+ 30.0 d1))))
    (command "_PLINE" (list (- wylocik) (- (* 0.5 d1))) (list 0 (- (* 0.5 d1)))
                      (list 0 (* 0.5 d1)) (list (- wylocik) (* 0.5 d1)) "")
  		      (ssadd (entlast) wskazB)
    (command "_LINE" (list 0 0) (list -20.0 0) "")
    (setq pr (entget (entlast)))(setq pr (subst (cons 8 layer_osie#w)(assoc 8 pr) pr))(entmod pr)
                                                               (ssadd (entlast) wskazB)
    (command "_UCS" "_p")


         (setq styld (getvar "TEXTSTYLE"))
         (setvar "AFLAGS" 0)
         (command "_ATTDEF" "_p" "" "WENTYLE" "" nazwa1  "_s" styl_wentyle#w
                            "_j" "_bl" (list 0 0) wtext#w "0")
         (setq pr (entget (entlast)))(setq pr (subst (cons 8 layer_atrybut#w)(assoc 8 pr) pr))(entmod pr)
                                                               (ssadd (entlast) wskazB)  
         (setvar "TEXTSTYLE" styld)
         (command "_UCS" "_p")(command "_UCS" "_p")

(command "_UCS" "_w")(command "_UCS" "_o" pX)
;POINTY - wzgldem pX
(command "_POINT" (list 0 0))(ssadd (entlast) wskazB)
(command "_POINT" (list (+ wylocik c l) (+ 30.0 d1)))(ssadd (entlast) wskazB)
(command "_POINT" (list (+ wylocik c l) 0.0))(ssadd (entlast) wskazB)
(command "_POINT" (list (+ wylocik c l) (- (+ 30.0 d1))))(ssadd (entlast) wskazB)
(command "_UCS" "_p")(command "_UCS" "_p")
(setvar "CLAYER" layer) 

));progn/if not samepunkty#w

pX
);defun 






;procedura rysunkowa
(defun rysuje12#w (samepunkty#w d1 d2 a b c l wylocik centr czyuszczelka nazwa1 
                    / pr wskaztu layer szerkol rm  pA pB p0 p1 p2 pX pY pZ styld cc )

;jeli z rysowaniem elementw bloku
(if (not samepunkty#w)
(progn
    ;wskazB - zbir wskaza zmienna globalna
    (setq  wskazB   nil  wskazB   (ssadd)                          
           layer    (getvar "CLAYER"))    

    (setvar "CLAYER" "0")

   (command "_UCS" "_w")(command "_UCS" "_o" centr)
    (setq pX  (trans '(0 0) 1 0)
	  szerkol (* 0.07 d1)
    );setq

    (command "_PLINE" (list (* 0.5 a) (- (* 0.5 b))) (list (- (* 0.5 a)) (- (* 0.5 b)))
                      (list (- (* 0.5 a)) (* 0.5 b)) (list (* 0.5 a) (* 0.5 b)) "_c")
  		      (ssadd (entlast) wskazB)

    ;;(command "_CIRCLE" (list 0 0) (* 0.5 d2)) 
  	;;	      (ssadd (entlast) wskazB)
    ;;(command "_CIRCLE" (list 0 0) (+ (* 0.5 d2) 15.0)) 
  	;;	      (ssadd (entlast) wskazB)
    ;;(command "_LINE" (list (- (* 0.55 d2)) 0) (list (* 0.55 d2) 0) "")
    ;;(setq pr (entget (entlast)))(setq pr (subst (cons 8 layer_osie#w)(assoc 8 pr) pr))(entmod pr)
     ;;                                                          (ssadd (entlast) wskazB)
    ;;(command "_LINE" (list 0 (- (* 0.55 d2)) ) (list 0 (* 0.55 d2) ) "")
    ;;(setq pr (entget (entlast)))(setq pr (subst (cons 8 layer_osie#w)(assoc 8 pr) pr))(entmod pr)
     ;;                                                          (ssadd (entlast) wskazB)

    (command "_UCS" "_o" (list 0 (+ 30.0 d1)))
    (command "_CIRCLE" (list 0 0) (* 0.5 d1)) 
  		      (ssadd (entlast) wskazB)
    (command "_LINE" (list (- (* 0.55 d1)) 0) (list (* 0.55 d1) 0) "")
    (setq pr (entget (entlast)))(setq pr (subst (cons 8 layer_osie#w)(assoc 8 pr) pr))(entmod pr)
                                                               (ssadd (entlast) wskazB)
    (command "_LINE" (list 0 (- (* 0.55 d1)) ) (list 0 (* 0.55 d1) ) "")
    (setq pr (entget (entlast)))(setq pr (subst (cons 8 layer_osie#w)(assoc 8 pr) pr))(entmod pr)
                                                               (ssadd (entlast) wskazB)
    (command "_UCS" "_p")


    (command "_UCS" "_o" (list 0 0))
    (command "_CIRCLE" (list 0 0) (* 0.5 d1)) 
  		      (ssadd (entlast) wskazB)
    (command "_LINE" (list (- (* 0.55 d1)) 0) (list (* 0.55 d1) 0) "")
    (setq pr (entget (entlast)))(setq pr (subst (cons 8 layer_osie#w)(assoc 8 pr) pr))(entmod pr)
                                                               (ssadd (entlast) wskazB)
    (command "_LINE" (list 0 (- (* 0.55 d1)) ) (list 0 (* 0.55 d1) ) "")
    (setq pr (entget (entlast)))(setq pr (subst (cons 8 layer_osie#w)(assoc 8 pr) pr))(entmod pr)
                                                               (ssadd (entlast) wskazB)
    (command "_UCS" "_p")


    (command "_UCS" "_o" (list 0.0 (- (+ 30.0 d1))))
    (command "_CIRCLE" (list 0 0) (* 0.5 d1)) 
  		      (ssadd (entlast) wskazB)
    (command "_LINE" (list (- (* 0.55 d1)) 0) (list (* 0.55 d1) 0) "")
    (setq pr (entget (entlast)))(setq pr (subst (cons 8 layer_osie#w)(assoc 8 pr) pr))(entmod pr)
                                                               (ssadd (entlast) wskazB)
    (command "_LINE" (list 0 (- (* 0.55 d1)) ) (list 0 (* 0.55 d1) ) "")
    (setq pr (entget (entlast)))(setq pr (subst (cons 8 layer_osie#w)(assoc 8 pr) pr))(entmod pr)
                                                               (ssadd (entlast) wskazB)
    (command "_UCS" "_p")

         (setq styld (getvar "TEXTSTYLE"))
         (setvar "AFLAGS" 0)
         (command "_ATTDEF" "_p" "" "WENTYLE" "" nazwa1  "_s" styl_wentyle#w
                            "_j" "_bl" (list 0 0) wtext#w "0")
         (setq pr (entget (entlast)))(setq pr (subst (cons 8 layer_atrybut#w)(assoc 8 pr) pr))(entmod pr)
                                                               (ssadd (entlast) wskazB)  
         (setvar "TEXTSTYLE" styld)
         (command "_UCS" "_p")(command "_UCS" "_p")

(command "_UCS" "_w")(command "_UCS" "_o" pX)
;POINTY - wzgldem pX
(command "_POINT" (list 0 0))(ssadd (entlast) wskazB)
(command "_POINT" (list 0 (+ 30.0 d1)))(ssadd (entlast) wskazB)
(command "_POINT" (list 0 (- (+ 30.0 d1))))(ssadd (entlast) wskazB)
(command "_UCS" "_p")(command "_UCS" "_p")
(setvar "CLAYER" layer) 

));progn/if not samepunkty#w

pX
);defun 







;procedura rysunkowa
(defun rysuje21#w (samepunkty#w d1 d2 a b c l wylocik centr czyuszczelka nazwa1 
                    / pr wskaztu layer szerkol rm  pA pB p0 p1 p2 pX pY pZ styld cc)

;jeli z rysowaniem elementw bloku
(if (not samepunkty#w)
(progn
    ;wskazB - zbir wskaza zmienna globalna
    (setq  wskazB   nil  wskazB   (ssadd)                          
           layer    (getvar "CLAYER"))    

    (setvar "CLAYER" "0")

   (command "_UCS" "_w")(command "_UCS" "_o" centr)
    (setq pX  (trans '(0 0) 1 0)
	  szerkol (* 0.07 d1)
    );setq

    (command "_PLINE" (list l (- (* 0.5 d2))) (list 0 (- (* 0.5 d2)))
                      (list 0 (* 0.5 d2)) (list l (* 0.5 d2)) "")
  		      (ssadd (entlast) wskazB)

    (command "_LINE" (list 0 0) (list (+ 10.0 l) 0) "")
    (setq pr (entget (entlast)))(setq pr (subst (cons 8 layer_osie#w)(assoc 8 pr) pr))(entmod pr)
                                                               (ssadd (entlast) wskazB)

    (command "_PLINE" (list l (- (* 0.5 a))) (list (+ l c) (- (* 0.5 a)))
                      (list (+ l c) (* 0.5 a)) (list l (* 0.5 a)) "_c")
  		      (ssadd (entlast) wskazB)


    (command "_UCS" "_o" (list (+ wylocik c l) 0.0))
    (command "_PLINE" (list (- wylocik) (- (* 0.5 d1))) (list 0 (- (* 0.5 d1)))
                      (list 0 (* 0.5 d1)) (list (- wylocik) (* 0.5 d1)) "")
  		      (ssadd (entlast) wskazB)
    (command "_LINE" (list 0 0) (list -20.0 0) "")
    (setq pr (entget (entlast)))(setq pr (subst (cons 8 layer_osie#w)(assoc 8 pr) pr))(entmod pr)
                                                               (ssadd (entlast) wskazB)
    (command "_UCS" "_p")

         (setq styld (getvar "TEXTSTYLE"))
         (setvar "AFLAGS" 0)
         (command "_ATTDEF" "_p" "" "WENTYLE" "" nazwa1  "_s" styl_wentyle#w
                            "_j" "_bl" (list 0 0) wtext#w "0")
         (setq pr (entget (entlast)))(setq pr (subst (cons 8 layer_atrybut#w)(assoc 8 pr) pr))(entmod pr)
                                                               (ssadd (entlast) wskazB)  
         (setvar "TEXTSTYLE" styld)
         (command "_UCS" "_p")(command "_UCS" "_p")

(command "_UCS" "_w")(command "_UCS" "_o" pX)
;POINTY - wzgldem pX
(command "_POINT" (list 0 0))(ssadd (entlast) wskazB)
(command "_POINT" (list (+ wylocik c l) 0))(ssadd (entlast) wskazB)
(command "_UCS" "_p")(command "_UCS" "_p")
(setvar "CLAYER" layer) 

));progn/if not samepunkty#w

pX
);defun 





